import request from '@/utils/request'

export function list(query) {
  return request({
    url: '/his/promotionActive/list',
    method: 'get',
    params: query
  })
}

export function get(id) {
  return request({
    url: '/his/promotionActive/' + id,
    method: 'get'
  })
}

export function add(data) {
  return request({
    url: '/his/promotionActive',
    method: 'post',
    data: data
  })
}

export function update(data) {
  return request({
    url: '/his/promotionActive',
    method: 'put',
    data: data
  })
}
export function del(id) {
  return request({
    url: '/his/promotionActive/' + id,
    method: 'delete'
  })
}

export function getPromotionalActiveOption() {
  return request({
    url: '/his/promotionActive/getPromotionalActiveOption',
    method: 'get',
  })
}
